Skip to content
KlingChecking

kling-video-o1/text-to-video

kling-o1-text-to-video

text to videoOutput: VideoInput: text
Loading price…
Official list price · Not verified

Minimal request

Required fields only, generated from this model's schema. Set HERMES_API_KEY in your environment.

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "kling-o1-text-to-video",
  "input": {
    "aspectRatio": "9:16",
    "duration": "5",
    "mode": "std"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"